Isi

# Starting LibreOffice Software With Parameters

Dengan memulai perangkat lunak LibreOffice dari baris perintah anda dapat menetapkan berbagai parameter, yang dengannya anda dapat memengaruhi kinerja. Penggunaan parameter baris perintah hanya disarankan untuk pengguna berpengalaman.

Untuk penanganan normal, penggunaan parameter baris perintah tidak perlu. Beberapa parameter memerlukan pengetahuan yang lebih dalam tentang latar belakang teknis dari teknologi perangkat lunak LibreOffice.

## Mulai LibreOffice Perangkat Lunak Dari Command Line

1. Search for Run in the Windows Start menu.

2. Type the following text in the Open text field and click OK.

3. "{install}\program\soffice.com" {parameter}

   Replace {install} with the path to your installation of LibreOffice software (for example, C:\Program Files\LibreOffice). Use soffice.exe instead of soffice.com, when you do not need console (e.g., you do not use command-line interface for headless operations).

1. Open a shell under Linux, *BSD, or macOS platforms.

2. Type the following line of text, then press Return:

   {install}/program/soffice {parameter}

   Replace {install} with the path to your installation of LibreOffice software (for example, /opt/LibreOffice in UNIX)

LibreOffice requires write access to its user profile directory.

## Parameter Perintah Teks yang Sah

### Menggunakan tanpa argumen khusus

Menggunakan tanpa argumen apa pun membuka pusat mulai.

{berkas} | Mencoba membuka file (berkas) dalam komponen yang cocok untuk mereka.
{file} macro://./[Library.Module.MacroName] | Buka file dan terapkan makro yang ditentukan dari berkas.

### Dapatkan bantuan dan informasi

Parameter | Makna
--- | ---
--help / -h / -? | Daftar parameter baris perintah yang tersedia untuk konsol.
--helpwriter | Buka Bantuan LibreOffice bawaan atau daring pada Writer.
--helpcalc | Buka Bantuan LibreOffice bawaan atau daring pada Calc.
--helpdraw | Buka Bantuan LibreOffice bawaan atau daring pada Draw.
--helpimpress | Buka Bantuan LibreOffice bawaan atau daring pada Impress.
--helpbase | Buka Bantuan LibreOffice bawaan atau daring pada Base.
--helpbasic | Buka Bantuan LibreOffice terpasang atau daring untuk bahasa pemrograman Basic.
--helpmath | Buka Bantuan LibreOffice terpasang atau daring untuk Math.
--version | Menampilkan versi LibreOffice dan keluar.
--nstemporarydirectory | (hanya mode sandbox macOS) Mengembalikan lokasi direktori sementara untuk pengguna saat ini dan keluar. Mengesampingkan semua argumen lainnya.

### Argumen umum

Parameter | Makna
--- | ---
--quickstart[=no] | Mengaktifkan[Deactivates] layanan Quickstarter. Hanya dapat menampung satu parameter no yang menonaktifkan layanan Quickstarter. Tanpa parameter layanan ini aktif.
--nolockcheck | Nonaktifkan pemeriksaan untuk instance jarak jauh menggunakan instalasi.

--infilter=InputFilterName
[:InputFilterParam[,param]]

Forces an input filter type, if possible. For example:

--infilter="Calc Office Open XML"

--infilter="Text (encoded):UTF8,LF,Liberation Mono,en-US".

See the list of document filters for file conversion.

The list of filter options for Lotus, dBase and Diff files.

The list of filter options for CSV files.

The list of filter options for PDF files.

--pidfile={file} | Simpan pid soffice.bin ke {file}.
--display {display} | Sets the DISPLAY environment variable on UNIX-like platforms to the value {display}. This parameter is only supported by the start script for LibreOffice software on UNIX-like platforms.

### Kendali antarmuka pengguna/terprogram

Parameter | Makna
--- | ---
--nologo | Meniadakan layar kilas saat memulai program.
--minimized | Memulai dengan minimalis. Layar kilas tidak ditampilkan.
--nodefault | Memulai tanpa menampilkan apapun kecuali layar kilas.

--invisible

Memulai dengan mode tak terlihat.

Logo awal mula atau jendela awal program tidak akan terlihat. Aplikasi LibreOffice dapat dikendalikan, dan dokumen dan dialog dapat dikendalikan dan dibuka melalui API.

Dengan parameter, LibreOffice hanya bisa dihentikan menggunakan TaskManager (windows) atau perintah kill (sistem UNIX-like).

Tidak bisa digunakan bersamaan dengan --quickstart.

Informasi lebih lanjut bisa ditemukan di Panduan Pengembang LibreOffice.

--headless | Mulai dalam "mode headless" memungkinkan penggunaan aplikasi tanpa antarmuka pengguna. Modus khusus ini dapat digunakan ketika aplikasi dikendalikan oleh klien eksternal melalui API.
--norestore | Menonaktifkan mulai ulang dan pemulihan berkas setelah sistem macet.
--safe-mode | Mulai dalam mode aman, misalnya mulai sementara dengan profil user baru dan membantu memulihkan konfigurasi yang rusak.
--accept={UNO} | Memberitahu aplikasi LibreOffice bahwa saat pembuatan "UNO Acceptor Threads", maka "UNO Accept String" akan digunakan. UNO-URL merupakan string seperti uno:connection-type,params;protocol-name,params;ObjectName. Informasi lebih lanjut bisa ditemukan di Panduan Pengembang LibreOffice.
--unaccept={UNO-URL} | Menutup akseptor yang dibuat dengan --accept={UNO-URL}. Gunakan --unaccept=all untuk menutup semua akseptor terbuka.
--language={lang} | Menggunakan bahasa tertentu, jika bahasa belum dipilih untuk Antarmuka Pengguna. lang merupakan tag bahasa dalam tag bahasa IETF.

### Argumen pengembang

Parameter | Makna
--- | ---
--terminate_after_init | Keluar setelah inisialisasi selesai (tidak ada dokumen yang dimuat).

Unix and Linux user can invoke LibreOffice with these additional parameters for debugging purposes.

Parameter | Meaning
--- | ---
--record | An enhanced debugger.
--backtrace | Prints the backtrace of the entire stack.
--strace | strace is a diagnostic, debugging and instructional userspace utility for Linux.
--valgrind | Automatically detect many memory management and threading bugs, and profile the program in detail.

The debug options --record, --backtrace, --strace and --valgrind cannot be used together. Please use them one by one.

### Argumen pembuatan dokumen baru

Argumen membuat dokumen kosong jenis tertentu. Hanya satu dari mereka yang dapat digunakan dalam satu baris perintah. Jika nama berkas ditentukan setelah argumen, maka dia mencoba untuk membuka berkas-berkas itu di komponen yang ditentukan.

Parameter | Makna
--- | ---
--writer | Memulai dengan dokumen kosong Writer.
--calc | Memulai dengan dokumen kosong Calc.
--draw | Memulai dengan dokumen kosong Draw.
--impress | Memulai dengan dokumen kosong Impress.
--math | Memulai dengan dokumen kosong Math.
--global | Memulai dengan dokumen master kosong Writer.
--web | Memulai dengan dokumen kosong HTML.

### Berkas argumen terbuka

Argumen menentukan bagaimana nama berkas berikut diperlakukan. Perlakuan baru dimulai setelah argumen dan berakhir pada argumen berikutnya. Perlakuan standar adalah membuka dokumen untuk disunting, dan membuat dokumen baru dari templat dokumen.

Parameter | Makna
--- | ---
-n | Memperlakukan berkas berikut sebagai templat untuk pembuatan dokumen baru.
-o | Buka berkas berikut untuk disunting, terlepas dari apakah itu templat atau bukan.
--pt {Printername} | Cetak berkas berikut ke printer {Printername} dan berakhir. Layar kilas tidak muncul. Jika nama berkas mengandung spasi, maka itu harus terlampir dalam tanda kutip. Jika terpakai beberapa kali, hanya yang terakhir {Printername} yang efektif untuk semua dokumen dari semua --pt runs. Juga, --nama-printer argumen dari --berkas untuk di cetakmengganggu interferensi{Printername}.
-p | Menetak berkas-berkas berikut ke printer baku, setelah itu berkas-berkas itu ditutup. Layar kilas tidak muncul. Jika nama berkas mengandung spasi, maka itu harus terlampir dalam tanda kutip.
--view | Buka berkas-berkas berikut dalam mode penampil (hanya-baca).
--show[=N] | Opens and starts the slideshow of the following presentation documents immediately. Files are closed after the showing. N in the example refers to the slide number and, when it is provided, they start at that slide.

--convert-to OutputFileExtension
[:OutputFilterName
[:OutputFilterParams[,param]]]
[--outdir output_dir]

If --convert-to is used more than once, last value of OutputFileExtension[:OutputFilterName[:OutputFilterParams]] is effective. If --outdir is used more than once, only its last value is effective. In absence of --outdir, current working directory is used for the result. For example:

--convert-to pdf *.doc

--convert-to pdf:writer_pdf_Export --outdir /home/user *.doc

--convert-to "html:XHTML Writer File:UTF8" *.doc

--convert-to "txt:Text (encoded):UTF8" *.doc

See the list of document filters for file conversion.

The list of filter options for Lotus, dBase and Diff files.

The list of filter options for CSV files.

The list of filter options for PDF files.

--print-to-file [--printer-name printer_name] [--outdir output_dir]

Cetak sejumlah berkas ke satu berkas. Jika --outdir tidak ditentukan, maka direktori kerja saat ini akan digunakan sebagai output_dir.

Jika --printer-name atau --outdir digunakan berkali-kali, hanya nilai terakhir yang digunakan. Dan juga, {Printername} dari --pt malah mengganggu --printer-name. Contoh:

--print-to-file *.doc

--print-to-file --printer-name nasty_lowres_printer --outdir /home/user *.doc

--cat | erlaku filter "txt:Text" ke dokumen teks dan konten teks dump ke konsol (menyiratkan --headless). Tidak bisa dipakai --mengkonversi.
-env:VAR[=VALUE] | Set a bootstrap variable. For example, to set a non-default user profile path: soffice.com -env:UserInstallation=file:///c:/my-test-profile open LibreOffice.app -env:UserInstallation=file:///tmp/test soffice -env:UserInstallation=file:///tmp/test

### Sakelar yang diabaikan

Parameter | Makna
--- | ---
-psn | Diabaikan (hanya macOS)
-Embedding | Diabaikan (terkait COM+; hanya Windows)
--nofirststartwizard | Tidak melakukan apa-apa, hanya diterima untuk kompabilitas mundur.
--protector {arg1} {arg2} | Hanya digunakan dalam unit tes dan harus memiliki dua argumen.